import os
import logging
from logging.handlers import RotatingFileHandler
from dynamics_crm_input import DynamicsCrmInputEngine

rotating_file_handler = RotatingFileHandler(
    os.path.join(os.environ['APPDATA'], 'Alteryx', 'Tools', 'dynamics_crm_input.log'),
    maxBytes=1024**2**2,
    backupCount=10
)

logging.basicConfig(
    handlers=[rotating_file_handler],
    format='%(asctime)s - %(name)s - %(levelname)s - %(message)s',
    level=(
        logging.DEBUG if 'ALTERYX_PYTHON_DEBUG' in os.environ and os.environ['ALTERYX_PYTHON_DEBUG'] == '1'
        else logging.INFO
    )
)

AyxPlugin = DynamicsCrmInputEngine
